Bug 1196510 - elfutils needs zstd support
elfutils needs zstd support
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Martin Liška
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2022-02-25 17:17 UTC by Tony Jones
Modified: 2022-03-02 19:54 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tony Jones 2022-02-25 17:17:36 UTC
https://build.opensuse.org/package/live_build_log/Base:System/elfutils/openSUSE_Factory/x86_64

[   38s] checking for zstd... no

Kernel modules are currently compressed using zst and cannot be read by elfutils

i.e 
/usr/lib/modules/5.15.12-1-default/kernel/fs/ext4/ext4.ko.zst
Comment 1 Tony Jones 2022-02-25 17:18:13 UTC
Also needed in SP4.
Comment 2 Tony Jones 2022-02-25 19:01:30 UTC
blocks blocks https://bugzilla.suse.com/show_bug.cgi?id=1196060
Comment 3 Tony Jones 2022-02-25 20:03:27 UTC
Request 957651 -> Base:System / elfutils
- Add support for zstd, needed to inspect kernel modules (bsc#1196510)
Comment 4 Tony Jones 2022-02-25 21:47:46 UTC
created request id 266163 -> SUSE:SLE-15-SP4:GA
Comment 5 Tony Jones 2022-02-25 21:48:38 UTC
Controlling Jira for the kernel side was: SLE-21758 Dev: Enable zstd compression for kernel modules
Comment 7 Tony Jones 2022-03-02 19:54:33 UTC
accepted to SP4 closing.